package com.goldenwater.slgc.mapper.efinder;

import com.goldenwater.slgc.entity.efinder.DocFolder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface DocFolderMapper {

    List<DocFolder> selectList(DocFolder folder);

    DocFolder selectById(Long id);

    int insert(DocFolder folder);

    int update(DocFolder folder);

    int deleteById(Long id);

    int deleteByIds(Long[] ids);

    List<DocFolder> selectByParentId(Long pid);

    int updatePlanValue(@Param("id") Long id, @Param("planValue") Integer planValue);

    Integer selectPlanValue(Long id);

    List<DocFolder> selectByParentIdOrderBySeq(Long pid);
}
